Loading...
Searching...
No Matches
casacore::AppState Class Reference
casa package (libcasa_casa) » System_module

More...

`#include <AppState.h>`

## Public Member Functions

virtual std::string | resolve (const std::string &filename) const
| use the data path to find the filename...
virtual std::list< std::string > | dataPath () const
| get the list of directories in the data path...
virtual std::string | measuresDir () const
| Get AppState specified directory for (IERS) measures data.
virtual bool | initialized () const
virtual | ~AppState ()

## Detailed Description

Base class for application state

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Synopsis

This class is the base class for casacore state. Its purpose is to allow applications initialize casacore's state without resorting to environment variables. This is done by creating an object whose class is derived from this base class, and then initializing the AppStateSource with the newly created object. After initialization, the AppStateSource takes ownership of the object. Please see the documentation for AppStateSource for more information.

Definition at line 56 of file AppState.h.

## Constructor & Destructor Documentation

## ~AppState()

virtual casacore::AppState::~AppState | ( |  | ) |

inline virtual

Definition at line 80 of file AppState.h.

## Member Function Documentation

## dataPath()

virtual std::list< std::string > casacore::AppState::dataPath | ( |  | ) | const

inline virtual

get the list of directories in the data path...

Definition at line 63 of file AppState.h.

## initialized()

virtual bool casacore::AppState::initialized | ( |  | ) | const

inline virtual

Definition at line 78 of file AppState.h.

## measuresDir()

virtual std::string casacore::AppState::measuresDir | ( |  | ) | const

inline virtual

Get AppState specified directory for (IERS) measures data.

If data is not found in the specified directory and the specified directiory name is nonempty (size > 0), an exception will be thrown in findTab.

Definition at line 73 of file AppState.h.

## resolve()

virtual std::string casacore::AppState::resolve | ( | const std::string & | filename | ) | const

virtual

use the data path to find the filename...

The documentation for this class was generated from the following file:

- casa/System/AppState.h